centos Firefox linux命令 Ubuntu wordpress nginx mysql java shell Windows 开源 Python google 微软 Android HTML5 php apache linux 程序员

Linux下安装php开发框架yaf

yaf框架中文手册:http://yaf.laruence.com/manual/index.html

yaf手册:http://www.php.net/manual/en/book.yaf.php

1.下载并安装yaf扩展 http://pecl.php.net/package/yaf

#wget http://pecl.PHP.net/get/yaf-2.2.9.tgz
#tar zxvf yaf-2.2.9.tgz
#cd yaf-2.2.9

[root@bogon yaf-2.2.9]# whereis phpize
phpize: /usr/bin/phpize /usr/share/man/man1/phpize.1.gz
/usr/bin/phpize

[root@bogon yaf-2.2.9]# /usr/bin/phpize
Configuring for:
php Api Version: 20090626
Zend Module Api No: 20090626
Zend Extension Api No: 220090626
#whereis php-config
php-config: /usr/bin/php-config /usr/share/man/man1/php-config.1.gz

#./configure --with-php-config=/usr/bin/php-config
#make && make install

2.添加扩展配置到php.ini

在/etc/php.ini文件里添加一行

extension=yaf.so

重启webserver 即可。

如果在./configure的时候遇到以下错误:

configure: error: in `/root/yaf-2.2.9':configure: error: no acceptable C compiler found in $PATHSee `config.log' for more details.

说明,没有安装gcc,用yum -y install gcc安装一下即可。

延伸阅读

评论